/* RSIMonDlg.h
 * For use with RSIMon
 * written by Maritn Thompson
 * mjthompson@iee.org
 *
 */
/* RSIMon - A pain based usage monitor
 * Copyright (C) 2000 Martin Thompson
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
#include "RSIMonCalc.h"
#include "..\RSIMonHooks\RSIMonHooks.h"
#if !defined(AFX_RSIMONDLG_H__E8CB2C48_8736_11D4_B508_C04F50C10000__INCLUDED_)
#define AFX_RSIMONDLG_H__E8CB2C48_8736_11D4_B508_C04F50C10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CRSImonDlg dialog

class CRSImonDlg : public CDialog
{
// Construction
public:
	CRSImonDlg(CWnd* pParent = NULL);	// standard constructor
	~CRSImonDlg();	
	void SetTrayIcon(HICON hIcon);

// Dialog Data
	//{{AFX_DATA(CRSImonDlg)
	enum { IDD = IDD_RSIMON_DIALOG };
	CButton	m_ButtonSave;
	CButton	m_RadioNormal;
	CButton	m_RadioPainful;
	int		m_RadioNormalValue;
	int		m_RadioPainfulValue;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRSImonDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CWinApp* m_pApp;
	HICON m_hIcon;
	DWORD m_Distance;
	CRSIMonCalc RSIMonCalc;
	NOTIFYICONDATA m_nidTrayData;
	WINDOWPLACEMENT m_wpl;
	BOOL m_bWasInTray;
	BOOL m_bInTray;
	HICON m_hWarnIcon;
	HICON m_hHandIcon;
	HICON m_hHandIcon20;
	HICON m_hHandIcon40;
	HICON m_hHandIcon60;
	HICON m_hHandIcon80;
	HICON m_hHandIcon100;
	HICON m_hThrobIcon1;
	HICON m_hThrobIcon2;
	MouseData m_mdData;
	HHOOK m_hMouseHook;
	HINSTANCE m_hDll;
	BOOL	m_bNeedSave;
	BOOL	m_bHadWarning;

	void GetRegistryParameters(CString str);
	void DisableSaveButton(void);
	void EnableSaveButton(void);
	int AskSave(void);
	void DebugDisplay(int Show);

	// Generated message map functions
	//{{AFX_MSG(CRSImonDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDebugging();
	afx_msg void OnReset();
	afx_msg void OnButtonSave();
	afx_msg void OnKillfocusEditThreshold();
	afx_msg void OnKillfocusEditDecay();
	afx_msg void OnTotray();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnCancelMode();
	virtual void OnCancel();
	afx_msg void OnClose();
	afx_msg void OnKillfocusEditClickPain();
	afx_msg void OnKillfocusEditDoubleclickPain();
	afx_msg void OnKillfocusEditDragPain();
	afx_msg void OnKillfocusEditKeyboardPain();
	afx_msg void OnKillfocusEditMovePain();
	afx_msg void OnRadioPainful();
	afx_msg void OnRadioNormal();
	afx_msg void OnKillfocusEditBreakLimit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RSIMONDLG_H__E8CB2C48_8736_11D4_B508_C04F50C10000__INCLUDED_)
